MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032118Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-05 20:382021-02-21 11:44
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032118: Visualization, Graphic3d_MarkerImage::StandardMarker() - return marker with pre-defined id
DescriptionIt is proposed that Graphic3d_MarkerImage::StandardMarker() will return Graphic3d_MarkerImage with a constant ID instead of newly generated.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0098693)
git (administrator)
2021-02-05 20:41

Branch CR32118 has been created by kgv.

SHA-1: 467cf9fc7e07780ad3efa5e1c0f97a1aac9fb077


No new revisions were added by this update.
(0098699)
kgv (developer)
2021-02-05 22:19

Patch is ready for review
- OCCT branch: CR32118.
(0098752)
osa (developer)
2021-02-08 10:59

The patch was reviewed
(0098856)
bugmaster (administrator)
2021-02-13 11:09

Combination -
OCCT branch : IR-2021-02-12
master SHA - fb68dbdbd6810ee27f9398c749c5740b7bea7818
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-12 SHA - 94205f40e685a70c77e547147d90c09e0a21c461
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17805.430000000237 / 17802.420000000013 [+0.02%]
Products
Total CPU difference: 11513.250000000124 / 11523.070000000105 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19375.296875 / 19372.265625 [+0.02%]
Products
Total CPU difference: 12857.265625 / 12882.921875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099041)
git (administrator)
2021-02-21 11:44

Branch CR32118 has been deleted by inv.

SHA-1: 467cf9fc7e07780ad3efa5e1c0f97a1aac9fb077

- Related Changesets
occt: master 1ff3663c
Timestamp: 2021-02-05 17:40:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032118: Visualization, Graphic3d_MarkerImage::StandardMarker() - return marker with pre-defined id
mod - src/Graphic3d/Graphic3d_MarkerImage.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-05 20:38 kgv New Issue
2021-02-05 20:38 kgv Assigned To => kgv
2021-02-05 20:41 git Note Added: 0098693
2021-02-05 22:19 kgv Note Added: 0098699
2021-02-05 22:19 kgv Assigned To kgv => osa
2021-02-05 22:19 kgv Status new => resolved
2021-02-08 10:59 osa Note Added: 0098752
2021-02-08 10:59 osa Assigned To osa => bugmaster
2021-02-08 10:59 osa Status resolved => reviewed
2021-02-13 11:09 bugmaster Note Added: 0098856
2021-02-13 11:09 bugmaster Status reviewed => tested
2021-02-13 11:12 bugmaster Test case number => Not required
2021-02-13 11:29 bugmaster Changeset attached => occt master 1ff3663c
2021-02-13 11:29 bugmaster Status tested => verified
2021-02-13 11:29 bugmaster Resolution open => fixed
2021-02-21 11:44 git Note Added: 0099041


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker